Skip to main content
POST
/
digital-wallets
/
{digital_wallet_id}
/
domains
Add digital wallet domain name
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/digital-wallets/{digital_wallet_id}/domains");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n  \"domain_name\": \"example.com\"\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "type": "error",
  "code": "bad_request",
  "status": 400,
  "message": "Missing '****' field",
  "details": [
    {
      "location": "body",
      "type": "value_error.missing",
      "pointer": "/payment_method/number",
      "message": "field required"
    }
  ]
}
This endpoint requires the digital-wallets.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

digital_wallet_id
string
required

The ID of the registered digital wallet.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Body

application/json

Domain name for a digital wallet.

domain_name
string
required

The domain name that a digital wallet can be used on. To use a digital wallet on a website, the domain of the site is required to be in this list.

Example:

"example.com"

Response

Returns an empty response.